<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Ics;


class IcsAuswahlView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/ics/icsauswahl.sgt';
  }

  
  protected function getDefaultDataModulArray()
  {
    $datamodul = new class() extends \Datamodul {
      public $kursnummern;
      public $datum_von;
      public $datum_bis;
      public $toolId;
      public $kurstageNurVonEingeloggtemDozent;
    };
    $datamodul->kursnummern = implode(':', $this->viewModel->kursnummern);
    $datamodul->datum_von = $this->viewModel->vonDat;
    $datamodul->datum_bis = $this->viewModel->bisDat;
    $datamodul->toolId = $this->viewModel->toolId;
    $datamodul->kurstageNurVonEingeloggtemDozent = $this->viewModel->kurstageNurVonEingeloggtemDozent;

    return array($datamodul);
  }
}

class IcsAuswahlViewModel
{
  public $kursnummern;
  public $vonDat;
  public $bisDat;
  public $toolId;
}